Bug 864315 - Review Request: lonote - Personal Notebook based on Qt Webkit
Review Request: lonote - Personal Notebook based on Qt Webkit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 02:17 EDT by Robin Lee
Modified: 2012-12-11 23:10 EST (History)
4 users (show)

See Also:
Fixed In Version: lonote-1.8.7-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 23:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2012-10-09 02:17:14 EDT
Spec URL: http://cheeselee.fedorapeople.org/lonote.spec
SRPM URL: http://cheeselee.fedorapeople.org/lonote-1.8.6-1.fc17.src.rpm
Description:
LoNote is a Note-Taking software based on Python3 and PyQt4. Each page is
saved in HTML format and the program is actually a WYSIWYG HTML editor
specialized for note-taking convenience.

Fedora Account System Username: cheeselee
Comment 1 Robin Lee 2012-10-09 22:23:51 EDT
- Fix and validate the desktop entry file

Spec URL: http://cheeselee.fedorapeople.org/lonote.spec
SRPM URL: http://cheeselee.fedorapeople.org/lonote-1.8.6-2.fc17.src.rpm
Comment 2 Eduardo Echeverria 2012-10-11 03:59:59 EDT
Robin, When trying to get in to see the spec, gives a 403 error
Comment 3 Robin Lee 2012-10-11 04:17:15 EDT
(In reply to comment #2)
> Robin, When trying to get in to see the spec, gives a 403 error

Oh, sorry. Fixed file perm on fedorapeople.org.
Comment 5 Ankur Sinha (FranciscoD) 2012-10-30 23:23:31 EDT
Thanks Robin, I'll review this one.
Comment 6 Ankur Sinha (FranciscoD) 2012-10-31 01:59:48 EDT
Hi Robin,

Here's the review:

[+] OK
[-] NA
[?] Issue

** Mandatory review guidelines: **
[+] rpmlint output:
[ankur@ankur SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
../SPECS/lonote.spec lonote-1.8.7-1.fc17.src.rpm
lonote.src: W: strange-permission lonote.spec 0600L
lonote.src:22: W: macro-in-comment %setup
../SPECS/lonote.spec:22: W: macro-in-comment %setup
lonote.src: W: strange-permission lonote.spec 0600L
lonote.src:22: W: macro-in-comment %setup
3 packages and 1 specfiles checked; 0 errors, 5 warnings.
[ankur@ankur SRPMS]$

^^ Looks okay. The permissions of the spec etc are wrong for some reason though.

[+] License is acceptable 
[+] License field in spec is correct
[+] License files included in package %docs if included in source package
[-] License files installed when any subpackage combination is installed
[+] Spec written in American English
[+] Spec is legible
[+] Sources match upstream unless altered to fix permissibility issues
[ankur@ankur SRPMS]$ review-md5check.sh ../SPECS/lonote.spec
Getting http://lonote.googlecode.com/files/lonote-1.8.7.7z to
/tmp/review/lonote-1.8.7.7z
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  532k  100  532k    0     0   362k      0  0:00:01  0:00:01 --:--:--  450k
019878f95567dde43dcb5e4a07660c07  /tmp/review/lonote-1.8.7.7z
019878f95567dde43dcb5e4a07660c07  /home/ankur/rpmbuild/SOURCES/lonote-1.8.7.7z
removed `/tmp/review/lonote-1.8.7.7z'
removed directory: `/tmp/review'
[ankur@ankur SRPMS]$

[+] Build succeeds on at least one primary arch
[+] Build succeeds on all primary arches or has ExcludeArch + bugs filed
[+] BuildRequires correct, justified where necessary
[+] Locales handled with %find_lang, not %_datadir/locale/*
[-] %post, %postun call ldconfig if package contains shared .so files
[+] No bundled libs
[-] Relocatability is justified
[+] Package owns all directories it creates
[+] No duplication in %files unless necessary for license files
[+] File permissions are sane
[+] Package contains permissible code or content
[-] Large docs go in -doc subpackage
[-] %doc files not required at runtime
[+] GUI app uses .desktop file, installs it with desktop-file-install
[+] File list does not conflict with other packages' without justification
[+] File names are valid UTF-8

** Optional review guidelines: **
[-] Query upstream about including license files
[-] Translations of description, summary
[+] Builds in mock
[+] Builds on all arches
[-] Functions as described (e.g. no crashes)
^
Not verified. Please verify

[-] Scriptlets are sane
[-] Subpackages require base with fully-versioned dependency if sensible
[-] .pc file subpackage placement is sensible
[-] No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin
[+] Include man pages if available

Naming guidelines:
[+] Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
[+] Package names are sane
[+] No naming conflicts
[+] Spec file name matches base package name
[+] Version is sane
[+] Version does not contain ~
[+] Release is sane
[+] %dist tag
[-] Case used only when necessary
[-] Renaming handled correctly

Packaging guidelines:
[-] Useful without external bits
[-] No kmods
[-] Pre-built binaries, libs removed in %prep
[+] Sources contain only redistributable code or content
[+] Spec format is sane
[+] Package obeys FHS, except libexecdir, /run, /usr/target
[+] No files in /bin, /sbin, /lib* on >= F17
[-] Programs run before FS mounting use /run instead of /var/run
[-] Binaries in /bin, /sbin do not depend on files in /usr on < F17
[-] No files under /srv, /opt, /usr/local
[+] Changelog in prescribed format
[+] No Packager, Vendor, Copyright, PreReq tags
[+] Summary does not end in a period
[-] Correct BuildRoot tag on < EL6
[-] Correct %clean section on < EL6
[+] Requires correct, justified where necessary
[+] Summary, description do not use trademarks incorrectly
[-] All relevant documentation is packaged, appropriately marked with %doc
[+] Doc files do not drag in extra dependencies (e.g. due to +x)
[-] Code compilable with gcc is compiled with gcc
[-] Build honors applicable compiler flags or justifies otherwise
[-] PIE used for long-running/root daemons, setuid/filecap programs
[-] Useful -debuginfo package or disabled and justified
[-] Package with .pc files Requires pkgconfig on < EL6
[-] No static executables
[-] Rpath absent or only used for internal libs
[-] Config files marked with %config(noreplace) or justified %config
[-] No config files under /usr
[-] Third party package manager configs acceptable, in %_docdir
[+] .desktop files are sane
[+] Spec uses macros consistently
[+] Spec uses macros instead of hard-coded names where appropriate
^^
You can replace lonote in the URL and SOURCE0 tags with %{name} too. Just a
cosmetic change

The python packaging page suggests the usage of the %{__python3} macro: Another
cosmetic change

[+] Spec uses macros for executables only when configurability is needed
[+] Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir
[+] One project per package
[+] No bundled fonts

** Python guidelines: **
[+] Runtime Requires correct
[-] Python macros declared on < EL6
[-] All .py files packaged with .pyc, .pyo counterparts
[+] Includes .egg-info files/directories when generated
[+] Provides/Requires properly filtered
[-] Code that invokes gtk.gdk.get_pixels_array() Requires numpy

Looks good. Minor cosmetic issues at the most. Please make the changes before
you import the package to SCM

XXX APPROVED XXX

Thanks,
Ankur
Comment 7 Robin Lee 2012-10-31 03:16:43 EDT
Thanks, Ankur.

New Package SCM Request
=======================
Package Name: lonote
Short Description: Personal Notebook based on Qt Webkit
Owners: cheeselee
Branches: f16 f17 f18
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-31 07:06:28 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-10-31 22:46:17 EDT
lonote-1.8.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lonote-1.8.7-1.fc16
Comment 10 Fedora Update System 2012-11-01 23:19:42 EDT
lonote-1.8.7-1.fc16 has been pushed to the Fedora 16 testing repository.

Note You need to log in before you can comment on or make changes to this bug.